import {IFactory as IComponentsFactory} from '../components/IFactory';
import {IBox} from '../components/IBox';
import { EEvents } from '../../types/EEvents';

export interface IAdminPanelBus {
    setComponentsFactory(factory:IComponentsFactory):void;
    addEventsListener(event:EEvents, callback:any): void;
    toggleSidebar():void;
    collapseSidebar():void;
    execMessageModal(header:string, message:string):void;
    execConfirmModal(header:string, message:string):Promise<any>;
    fullscreen(box:IBox): void;
    collapsescreen(box:IBox): void;
}